import React from 'react';
export declare type pathType = 'top' | 'bottom' | 'left' | 'right' | 'top-bounce' | 'bottom-bounce' | 'left-bounce' | 'right-bounce' | string;
export interface ScrollAnimationItemProps extends React.HTMLProps<HTMLDivElement> {
    children?: React.ReactNode;
    style?: React.CSSProperties;
    delay?: number;
    duration?: number;
    path: pathType;
    className?: string;
}
